---
title: "Retrieve OM Competitors By Code"
slug: "retrieve-om-competitors-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-om-competitors-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve OM Competitors By Code

Get/om-rest-api/rest/1/omcompetitor

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select Competitor
- By UUID

#### Select Competitor

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| competitorCode | Competitor Code | WILEY |

#### By UUID

This is an optional finder for querying a specific Competitor by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /om-rest-api/rest/1/omcompetitor/B41F5545C27BA908E053B08610AC2C73 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectCompetitor; competitorCode=WILEY
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleOmcVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='1ece219f-5bf0-4567-b99f-7b64e846f284'>application/json</option>
</select>

```json
{
  "items": [
    {
      "OmcCompetitorCode": "WILEY",
      "OmcName": "Wiley Construction Inc.",
      "OmcProductName": null,
      "OmcStrengths": "Long established in the area",
      "OmcWeaknesses": "Small company doing mostly specialty work.",
      "OmcRating": "75",
      "OmcPartnCode": null,
      "OmcPartnTypeCode": null,
      "OmcContactCode": null,
      "OmcOpportunities": "Position our overall experience and diversity",
      "OmcThreats": "Personal reslationships with university.",
      "OmcIuCreateDate": "2015-06-26T14:29:17Z",
      "OmcIuCreateUser": "BILL",
      "OmcIuUpdateDate": null,
      "OmcIuUpdateUser": null,
      "OmcVUuid": "B41F5545C27BA908E053B08610AC2C73",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/om-rest-api/rest/1/omcompetitor/B41F5545C27BA908E053B08610AC2C73",
          "name": "omcompetitor",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/om-rest-api/rest/1/omcompetitor/B41F5545C27BA908E053B08610AC2C73",
          "name": "omcompetitor",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 50,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/om-rest-api/rest/1/omcompetitor",
      "name": "omcompetitor",
      "kind": "collection"
    }
  ]
}
```

object
